### Signal

# Json Parser::object-member

deprecated: 1.10

#### Declaration

    void
    object_member (
      JsonParser* self,
      JsonObject* object,
      gchar* member_name,
      gpointer user_data
    )

#### Description [src]

The `::object-member` signal is emitted each time a parser has successfully parsed a single member of a JSON object.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Deprecated since: 1.10
Derive your own parser type from `JsonParser` and override the `Json.ParserClass.object_member` virtual function.

#### Parameters

`object`

  Type: `JsonObject`

  The JSON object being parsed.

  The data is owned by the caller of the function.

`member_name`

  Type: `gchar*`

  The name of the newly parsed member.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.